org.codehaus.groovy.ast

## Interface GroovyClassVisitor

All Known Implementing Classes:
  AbstractInterruptibleASTTransformation, AnnotationConstantsVisitor, AsmClassGenerator, ASTTransformationCollectorCodeVisitor, ASTTransformationVisitor, ClassCodeExpressionTransformer, ClassCodeVisitorSupport, ClassCompletionVerifier, ClassGenerator, DependencyTracker, DummyClassGenerator, EnumCompletionVisitor, EnumVisitor, ExtendedVerifier, FieldASTTransformation, GenericsVisitor, GrabAnnotationTransformation, InnerClassCompletionVisitor, InnerClassVisitor, InnerClassVisitorHelper, JavaAwareResolveVisitor, LabelVerifier, NewifyASTTransformation, OptimizerVisitor, ResolveVisitor, SharedVariableCollector, StaticCompilationTransformer, StaticCompilationVisitor, StaticImportVisitor, StaticTypeCheckingVisitor, StaticTypeCheckingVisitor.VariableExpressionTypeMemoizer, StaticVerifier, VariableScopeVisitor, Verifier

    public interface GroovyClassVisitor

A special visitor for working with the structure of a class. In general, your will want to use the Abstract class based on this class `ClassCodeVisitorSupport`.

Author:
  James Strachan
See Also:
  `ClassNode`, `ClassCodeVisitorSupport`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitClass(ClassNode node)` Visit a ClassNode.
`void` `visitConstructor(ConstructorNode node)` Visit a ConstructorNode.
`void` `visitField(FieldNode node)` Visit a FieldNode.
`void` `visitMethod(MethodNode node)` Visit a MethodNode.
`void` `visitProperty(PropertyNode node)` Visit a PropertyNode.

### Method Detail

#### visitClass

    void visitClass(ClassNode node)

Visit a ClassNode.

#### visitConstructor

    void visitConstructor(ConstructorNode node)

Visit a ConstructorNode.

#### visitMethod

    void visitMethod(MethodNode node)

Visit a MethodNode.

#### visitField

    void visitField(FieldNode node)

Visit a FieldNode.

#### visitProperty

    void visitProperty(PropertyNode node)

Visit a PropertyNode.